<TeXmacs|1.0.7.20>

<style|source>

<\body>
  <active*|<\src-title>
    <src-package|beamer-bertho|block-1.0>

    <\src-purpose>
      Motifs for presentation style.
    </src-purpose>

    <src-copyright|2011|Jrmy Berthomieu>

    <\src-license>
      This software falls under the <hlink|GNU general public license,
      version 3 or later|$TEXMACS_PATH/LICENSE>. It comes WITHOUT ANY
      WARRANTY WHATSOEVER. You should have received a copy of the license
      which the software. If not, see <hlink|http://www.gnu.org/licenses/gpl-3.0.html|http://www.gnu.org/licenses/gpl-3.0.html>.
    </src-license>
  </src-title>>

  <\active*>
    <\src-comment>
      Blocks
    </src-comment>
  </active*>

  <assign|bemph|<macro|x|<with|color|<value|bemph-color>|math-color|<value|bemph-color>|<arg|x>>>>

  <assign|bemph-color|white>

  <assign|new-block|<\macro|x>
    <quasi|<assign|<unquote|<merge|<arg|x>|block>>|<\macro|y>
      <\style-with|src-compact|none||||>
        <\surround|<vspace*|0.5fn>|<vspace|0.5fn>>
          <with|bemph-color|<value|<unquote|<merge|<arg|x>|-bemph-color>>>|<tabular|<tformat|<twith|table-width|1par>|<cwith|1|1|1|1|cell-lborder|0.5ln>|<cwith|1|1|1|1|cell-rborder|0.5ln>|<cwith|1|1|1|1|cell-bborder|0.5ln>|<cwith|1|1|1|1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-lborder|0.5ln>|<cwith|1|1|2|2|cell-rborder|0.5ln>|<cwith|1|1|2|2|cell-bborder|0.5ln>|<cwith|1|1|2|2|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|2|2|cell-background|<value|<unquote|<merge|<arg|x>|block-fold-body-color>>>>|<cwith|1|1|1|1|cell-background|<value|<unquote|<merge|<arg|x>|block-fold-bar-color>>>>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|0.25fn>|<cwith|1|1|2|2|cell-tsep|0.25fn>|<cwith|1|1|2|2|cell-lsep|0.5fn>|<cwith|1|1|2|2|cell-rsep|0.5fn>|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
            \;
          </cell>|<\cell>
            <arg|y>
          </cell>>>>>>
        </surround>
      </style-with>
    </macro>>>
  </macro>>

  <assign|new-blocktitle|<\macro|x>
    <quasi|<assign|<unquote|<merge|<arg|x>|blocktit>>|<\macro|y|z>
      <\surround|<vspace*|0.5fn>|<vspace|0.5fn>>
        <with|bemph-color|<value|<unquote|<merge|<arg|x>|-bemph-color>>>|<tabular|<tformat|<twith|table-width|1par>|<cwith|1|2|1|1|cell-lborder|0.5ln>|<cwith|1|2|1|1|cell-rborder|0.5ln>|<cwith|1|1|1|1|cell-tborder|0.5ln>|<cwith|2|2|1|1|cell-bborder|0.5ln>|<cwith|1|2|2|2|cell-lborder|0.5ln>|<cwith|1|2|2|2|cell-rborder|0.5ln>|<cwith|1|2|2|2|cell-bborder|0.5ln>|<cwith|1|2|2|2|cell-tborder|0.5ln>|<cwith|1|2|2|2|cell-hpart|1>|<cwith|1|1|2|2|cell-background|<value|<unquote|<merge|<arg|x>|block-fold-title-color>>>>|<cwith|1|2|1|1|cell-background|<value|<unquote|<merge|<arg|x>|block-fold-bar-color>>>>|<cwith|2|2|2|2|cell-background|<value|<unquote|<merge|<arg|x>|block-fold-body-color>>>>|<cwith|1|1|1|2|cell-hyphen|t>|<cwith|1|2|2|2|cell-bsep|0.25fn>|<cwith|1|2|2|2|cell-tsep|0.25fn>|<cwith|1|2|2|2|cell-lsep|0.5fn>|<cwith|1|2|2|2|cell-rsep|0.5fn>|<cwith|2|2|2|2|cell-hyphen|t>|<table|<row|<\cell>
          \;
        </cell>|<\cell>
          <style-with|src-compact|none|<arg|y>>
        </cell>>|<row|<cell|>|<\cell>
          <arg|z>
        </cell>>>>>>
      </surround>
    </macro>>>
  </macro>>

  <new-block|red>

  <new-blocktitle|red>

  <new-block|green>

  <new-blocktitle|green>

  <new-block|blue>

  <new-blocktitle|blue>

  <new-block|cyan>

  <new-blocktitle|cyan>

  <new-block|magenta>

  <new-blocktitle|magenta>

  <new-block|yellow>

  <new-blocktitle|yellow>

  <new-block|orange>

  <new-blocktitle|orange>

  <new-block|grey><nbsp>would be available to see it

  <new-blocktitle|grey>

  <assign|Problem|<macro|body|<redblocktit|<with|font-series|bold|Problem.>|<arg|body>>>>

  <assign|Example|<macro|body|<cyanblocktit|<with|font-series|bold|Example.>|<arg|body>>>>

  <assign|Proposition|<macro|body|<greenblocktit|<with|font-series|bold|Proposition.>|<arg|body>>>>

  <assign|Theorem|<macro|body|<blueblocktit|<with|font-series|bold|Theorem.>|<arg|body>>>>

  <assign|Definition|<macro|body|<orangeblocktit|<with|font-series|bold|Definition.>|<arg|body>>>>

  <assign|Proof|<macro|body|<yellowblocktit|<with|font-series|bold|Idea of
  Proof.>|<arg|body>>>>

  \;

  <assign|redblock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-darkred.png|*3/5|*3/5|#a0a0a0>>

  <assign|redblock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-mediumred.png|*3/5|*3/5|#e0e0e0>>

  <assign|redblock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-lightred.png|*3/5|*3/5|#e0e0e0>>

  <assign|red-bemph-color|dark red>

  <assign|greenblock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-darkgreen.png|*3/5|*3/5|#a0a0a0>>

  <assign|greenblock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-mediumgreen.png|*3/5|*3/5|#e0e0e0>>

  <assign|greenblock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-lightgreen.png|*3/5|*3/5|#e0e0e0>>

  <assign|green-bemph-color|dark green>

  <assign|blueblock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-darkblue.png|*3/5|*3/5|#a0a0a0>>

  <assign|blueblock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-mediumblue.png|*3/5|*3/5|#e0e0e0>>

  <assign|blueblock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-lightblue.png|*3/5|*3/5|#e0e0e0>>

  <assign|blue-bemph-color|dark blue>

  <assign|cyanblock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-darkcyan.png|*3/5|*3/5|#a0a0a0>>

  <assign|cyanblock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-mediumcyan.png|*3/5|*3/5|#e0e0e0>>

  <assign|cyanblock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-lightcyan.png|*3/5|*3/5|#e0e0e0>>

  <assign|cyan-bemph-color|dark cyan>

  <assign|magentablock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-darkmagenta.png|*3/5|*3/5|#a0a0a0>>

  <assign|magentablock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-mediummagenta.png|*3/5|*3/5|#e0e0e0>>

  <assign|magentablock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-lightmagenta.png|*3/5|*3/5|#e0e0e0>>

  <assign|magenta-bemph-color|dark magenta>

  <assign|yellowblock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-darkyellow.png|*3/5|*3/5|#a0a0a0>>

  <assign|yellowblock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-mediumyellow.png|*3/5|*3/5|#e0e0e0>>

  <assign|yellowblock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-lightyellow.png|*3/5|*3/5|#e0e0e0>>

  <assign|yellow-bemph-color|dark yellow>

  <assign|orangeblock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-darkorange.png|*3/5|*3/5|#a0a0a0>>

  <assign|orangeblock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-mediumorange.png|*3/5|*3/5|#e0e0e0>>

  <assign|orangeblock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-lightorange.png|*3/5|*3/5|#e0e0e0>>

  <assign|orange-bemph-color|orange>

  <assign|greyblock-fold-bar-color|<pattern|~/.TeXmacs/packages/metal-brushed-dark.png|*3/5|*3/5|#a0a0a0>>

  <assign|greyblock-fold-title-color|<pattern|~/.TeXmacs/packages/metal-brushed-medium.png|*3/5|*3/5|#e0e0e0>>

  <assign|greyblock-fold-body-color|<pattern|~/.TeXmacs/packages/metal-brushed-light.png|*3/5|*3/5|#e0e0e0>>

  <assign|grey-bemph-color|grey>

  \;

  \;
</body>

<\initial>
  <\collection>
    <associate|language|british>
  </collection>
</initial>